var NAVTREE =
[
  [ "OpenNI 1.5.4", "index.html", [
    [ "OpenNI Overview", "index.html", [
      [ "Introduction", "introduction.html", null ],
      [ "Concepts", "concepts.html", [
        [ "Contexts", "conc_context.html", null ],
        [ "The Production Graph", "prod_graph.html", null ],
        [ "Reference Counting", "conc_refcount.html", null ],
        [ "Data Generation", "conc_generation.html", null ],
        [ "Making Data Available using the WaitXUpdateAll() Methods", "conc_updating_data.html", null ],
        [ "Capabilities Mechanism", "conc_capabilities.html", null ],
        [ "Coordinate Systems", "conc_coord.html", null ],
        [ "Map Wrapper Classes", "conc_map_wrapper_classes.html", null ],
        [ "Frame Objects and Metadata Objects", "conc_meta_data.html", null ],
        [ "Sharing Devices Between Applications and Locking Nodes", "conc_locks.html", null ],
        [ "Global Mirror", "conc_global_mirror.html", null ],
        [ "Global Error State", "conc_error_state.html", null ],
        [ "Events and Handlers", "conc_events.html", null ],
        [ "Licenses", "conc_licenses.html", null ],
        [ "Recordings", "conc_recordings.html", null ],
        [ "Mock Nodes", "conc_mocks.html", null ]
      ] ],
      [ "Xml Scripts", "xmlscripts.html", null ],
      [ "Command-Line Utilities", "cmdutils.html", [
        [ "niReg", "nireg.html", null ],
        [ "niLicense", "nilicense.html", null ]
      ] ],
      [ "Additional Utilities", "additional.html", null ],
      [ "Getting Started - A Tutorial", "tutorials.html", [
        [ "Building and running a sample application", "build_and_run_sample.html", null ],
        [ "Creating an empty project that uses OpenNI", "new_app.html", null ],
        [ "Error codes", "error_codes.html", null ],
        [ "Basic Functions: initialize, create a node and read data", "basic.html", null ],
        [ "Enumerating possible production chains", "tut_enum.html", null ],
        [ "Understanding why enumeration failed", "tut_enumeration_errors.html", null ],
        [ "Configuring nodes", "tut_config.html", null ],
        [ "Configuring OpenNI using an XML file", "tut_xml.html", null ],
        [ "Playing a file recording", "tut_playing.html", null ],
        [ "Recording data", "tut_recording.html", null ]
      ] ],
      [ "Samples and Guides", "smpls_n_guides.html", [
        [ "Sample Programs for the OpenNI API", "smpls.html", [
          [ "NiAudioSample.cpp - sample program", "smpl_audio.html", null ],
          [ "NiBackRecorder.cpp - sample program", "smpl_back_recrdr.html", null ],
          [ "NiConvertXToONI.cpp - sample program", "smpl_cnvx_to_oni.html", null ],
          [ "NiRecordRaw.cpp - sample program", "smpl_record_raw.html", null ],
          [ "NiRecordSynthetic.cpp - sample program", "smpl_record_syn.html", null ],
          [ "NiSimpleCreate.cpp - sample program", "smpl_simple_create.html", null ],
          [ "NiSimpleRead.cpp - sample program", "smpl_simple_read.html", null ],
          [ "NiSimpleViewer.cpp - sample program", "smpl_simple_view.html", null ],
          [ "NiUserTracker - sample program", "smpl_user_tracker.html", null ],
          [ "NiViewer - sample program", "smpl_niviewer.html", [
            [ "Capture.cpp file", "smpl_niviewer_capture_cpp.html", null ],
            [ "Device.cpp file", "smpl_niviewer_device_cpp.html", null ],
            [ "Draw.cpp file", "smpl_niviewer_draw_cpp.html", null ],
            [ "Statistics.cpp file", "smpl_niviewer_stat.html", null ]
          ] ],
          [ "SimpleRead.java - sample program (Java)", "smpl_simple_read_java.html", null ],
          [ "SimpleRead.net - sample program (C#/.NET)", "smpl_simple_read_net.html", null ],
          [ "SimpleViewer.java - sample program (Java)", "smpl_simple_view_java.html", null ],
          [ "SimpleViewer.net - sample program  (C#/.NET)", "smpl_simple_view_net.html", null ],
          [ "UserTracker.java - sample program (Java)", "smpl_user_tracker_java.html", null ],
          [ "UserTracker.net - sample program (C#)", "smpl_user_tracker_net.html", null ],
          [ "HandTracker.java - sample program (java)", "smpl_handtracker_java.html", null ]
        ] ],
        [ "Guides for OpenNI Development", "guides.html", [
          [ "Creating OpenNI Modules", "modules_root.html", [
            [ "Defining the Node Topology", "modules_topology.html", null ],
            [ "Creating a Node Implementation", "modules_node.html", [
              [ "Implement the Proper Interface", "modules_node_interface.html", null ],
              [ "Obtain Inputs", "modules_node_inputs.html", null ],
              [ "Support Capabilities", "modules_node_capabilities.html", null ],
              [ "Implementing a Generator", "modules_gen.html", null ]
            ] ],
            [ "Creating a Node Exporter", "modules_exporter.html", null ],
            [ "Module Entry Points", "modules_module.html", null ],
            [ "Registering the new Module", "modules_registration.html", null ]
          ] ]
        ] ]
      ] ],
      [ "Glossary", "glossary.html", null ],
      [ "Legal Stuff & Acknowledgments", "legal.html", null ]
    ] ],
    [ "Modules", "modules.html", [
      [ "C Reference", "group__cref.html", [
        [ "Context", "group__context.html", null ],
        [ "Production Node Info", "group__prdnodeinfo.html", null ],
        [ "Production Node Info List", "group__infolist.html", null ],
        [ "Queries", "group__queries.html", null ],
        [ "Enumeration Errors", "group__enum__errors.html", null ],
        [ "Production Nodes Functionality", "group__prd__node.html", [
          [ "Production Node", "group__node.html", [
            [ "Error State Capability", "group__err__state.html", null ],
            [ "General Int Capability", "group__general__int.html", null ]
          ] ],
          [ "Device", "group__device.html", [
            [ "Device Identification Capability", "group__device__id.html", null ]
          ] ],
          [ "Generator", "group__generator.html", [
            [ "Mirror Capability", "group__mirror.html", null ],
            [ "Alternative View Point Capability", "group__altviewpoint.html", null ],
            [ "Frame-Sync Capability", "group__framesync.html", null ]
          ] ],
          [ "Map Generator", "group__mapgen.html", [
            [ "Cropping Capability", "group__cropping.html", null ],
            [ "Anti Flicker Capability", "group__anti__flicker.html", null ]
          ] ],
          [ "Depth Generator", "group__depthgen.html", [
            [ "User Position Capability", "group__userpos.html", null ]
          ] ],
          [ "Image Generator", "group__imagegen.html", null ],
          [ "IR Generator", "group__irgen.html", null ],
          [ "Gesture Generator", "group__gestures.html", null ],
          [ "Scene Analyzer", "group__scene.html", null ],
          [ "User Generator", "group__user.html", [
            [ "Skeleton Capability", "group__skeleton.html", null ],
            [ "Pose Detection Capability", "group__pose.html", null ],
            [ "Hand Touching FOV Edge Capability", "group__touching_edge.html", null ]
          ] ],
          [ "Hands Generator", "group__hands.html", null ],
          [ "Audio Generator", "group__audio.html", null ],
          [ "Mock Nodes", "group__mocks.html", null ],
          [ "Codec", "group__codec.html", null ],
          [ "Recorder", "group__recorder.html", null ],
          [ "Player", "group__player.html", null ],
          [ "Script Node", "group__script__node.html", null ]
        ] ],
        [ "Licenses", "group__lic.html", null ],
        [ "Utilities", "group__utils.html", null ]
      ] ],
      [ "C++ Reference to Application Programmer Interface (API)", "group__cppref.html", [
        [ "Global Event Handlers", "group__cppref__glb__ev__hndlrs.html", null ],
        [ "Managing the Production Graph", "group__cppref__graph__mgmt.html", null ],
        [ "Meta-Data Objects (Frame Objects)", "group__cppref__meta__data.html", null ],
        [ "Production Nodes Functionality", "group__cppref__prd__func.html", null ],
        [ "Misc", "group__cppref__misc.html", null ]
      ] ]
    ] ],
    [ "Class List", "annotated.html", [
      [ "xn::AlternativeViewPointCapability", "classxn_1_1_alternative_view_point_capability.html", null ],
      [ "xn::AntiFlickerCapability", "classxn_1_1_anti_flicker_capability.html", null ],
      [ "xn::AudioGenerator", "classxn_1_1_audio_generator.html", null ],
      [ "xn::AudioMetaData", "classxn_1_1_audio_meta_data.html", null ],
      [ "xn::Capability", "classxn_1_1_capability.html", null ],
      [ "xn::Codec", "classxn_1_1_codec.html", null ],
      [ "XnHash::ConstIterator", "class_xn_hash_1_1_const_iterator.html", null ],
      [ "XnHashT< TKey, TValue, TKeyManager, TAlloc >::ConstIterator", "class_xn_hash_t_1_1_const_iterator.html", null ],
      [ "XnList::ConstIterator", "class_xn_list_1_1_const_iterator.html", null ],
      [ "XnListT< T, TAlloc >::ConstIterator", "class_xn_list_t_1_1_const_iterator.html", null ],
      [ "xn::Context", "classxn_1_1_context.html", null ],
      [ "xn::CroppingCapability", "classxn_1_1_cropping_capability.html", null ],
      [ "xn::DepthGenerator", "classxn_1_1_depth_generator.html", null ],
      [ "xn::DepthMetaData", "classxn_1_1_depth_meta_data.html", null ],
      [ "xn::Device", "classxn_1_1_device.html", null ],
      [ "xn::DeviceIdentificationCapability", "classxn_1_1_device_identification_capability.html", null ],
      [ "xn::EnumerationErrors", "classxn_1_1_enumeration_errors.html", null ],
      [ "xn::ErrorStateCapability", "classxn_1_1_error_state_capability.html", null ],
      [ "xn::ExtensionModule", "classxn_1_1_extension_module.html", null ],
      [ "xn::FrameSyncCapability", "classxn_1_1_frame_sync_capability.html", null ],
      [ "xn::GeneralIntCapability", "classxn_1_1_general_int_capability.html", null ],
      [ "xn::Generator", "classxn_1_1_generator.html", null ],
      [ "xn::GestureGenerator", "classxn_1_1_gesture_generator.html", null ],
      [ "xn::HandsGenerator", "classxn_1_1_hands_generator.html", null ],
      [ "xn::HandTouchingFOVEdgeCapability", "classxn_1_1_hand_touching_f_o_v_edge_capability.html", null ],
      [ "xn::ImageGenerator", "classxn_1_1_image_generator.html", null ],
      [ "xn::ImageMetaData", "classxn_1_1_image_meta_data.html", null ],
      [ "INiNodeAllocator", "class_i_ni_node_allocator.html", null ],
      [ "xn::IRGenerator", "classxn_1_1_i_r_generator.html", null ],
      [ "xn::IRMetaData", "classxn_1_1_i_r_meta_data.html", null ],
      [ "xn::EnumerationErrors::Iterator", "classxn_1_1_enumeration_errors_1_1_iterator.html", null ],
      [ "xn::NodeInfoList::Iterator", "classxn_1_1_node_info_list_1_1_iterator.html", null ],
      [ "XnHash::Iterator", "class_xn_hash_1_1_iterator.html", null ],
      [ "XnHashT< TKey, TValue, TKeyManager, TAlloc >::Iterator", "class_xn_hash_t_1_1_iterator.html", null ],
      [ "XnList::Iterator", "class_xn_list_1_1_iterator.html", null ],
      [ "XnListT< T, TAlloc >::Iterator", "class_xn_list_t_1_1_iterator.html", null ],
      [ "xn::Map< _pixelType >", "classxn_1_1_map.html", null ],
      [ "xn::MapGenerator", "classxn_1_1_map_generator.html", null ],
      [ "xn::MapMetaData", "classxn_1_1_map_meta_data.html", null ],
      [ "xn::MirrorCapability", "classxn_1_1_mirror_capability.html", null ],
      [ "xn::MockAudioGenerator", "classxn_1_1_mock_audio_generator.html", null ],
      [ "xn::MockDepthGenerator", "classxn_1_1_mock_depth_generator.html", null ],
      [ "xn::MockImageGenerator", "classxn_1_1_mock_image_generator.html", null ],
      [ "xn::MockIRGenerator", "classxn_1_1_mock_i_r_generator.html", null ],
      [ "xn::MockRawGenerator", "classxn_1_1_mock_raw_generator.html", null ],
      [ "xn::Module", "classxn_1_1_module.html", null ],
      [ "xn::ModuleAlternativeViewPointInterface", "classxn_1_1_module_alternative_view_point_interface.html", null ],
      [ "xn::ModuleAntiFlickerInterface", "classxn_1_1_module_anti_flicker_interface.html", null ],
      [ "xn::ModuleAudioGenerator", "classxn_1_1_module_audio_generator.html", null ],
      [ "xn::ModuleCodec", "classxn_1_1_module_codec.html", null ],
      [ "xn::ModuleCroppingInterface", "classxn_1_1_module_cropping_interface.html", null ],
      [ "xn::ModuleDepthGenerator", "classxn_1_1_module_depth_generator.html", null ],
      [ "xn::ModuleDevice", "classxn_1_1_module_device.html", null ],
      [ "xn::ModuleDeviceIdentificationInterface", "classxn_1_1_module_device_identification_interface.html", null ],
      [ "xn::ModuleErrorStateInterface", "classxn_1_1_module_error_state_interface.html", null ],
      [ "xn::ModuleExportedProductionNode", "classxn_1_1_module_exported_production_node.html", null ],
      [ "xn::ModuleExtendedSerializationInterface", "classxn_1_1_module_extended_serialization_interface.html", null ],
      [ "xn::ModuleFrameSyncInterface", "classxn_1_1_module_frame_sync_interface.html", null ],
      [ "xn::ModuleGeneralIntInterface", "classxn_1_1_module_general_int_interface.html", null ],
      [ "xn::ModuleGenerator", "classxn_1_1_module_generator.html", null ],
      [ "xn::ModuleGestureGenerator", "classxn_1_1_module_gesture_generator.html", null ],
      [ "xn::ModuleHandsGenerator", "classxn_1_1_module_hands_generator.html", null ],
      [ "xn::ModuleHandTouchingFOVEdgeInterface", "classxn_1_1_module_hand_touching_f_o_v_edge_interface.html", null ],
      [ "xn::ModuleImageGenerator", "classxn_1_1_module_image_generator.html", null ],
      [ "xn::ModuleIRGenerator", "classxn_1_1_module_i_r_generator.html", null ],
      [ "xn::ModuleLockAwareInterface", "classxn_1_1_module_lock_aware_interface.html", null ],
      [ "xn::ModuleMapGenerator", "classxn_1_1_module_map_generator.html", null ],
      [ "xn::ModuleMirrorInterface", "classxn_1_1_module_mirror_interface.html", null ],
      [ "xn::ModuleNodeNotifications", "classxn_1_1_module_node_notifications.html", null ],
      [ "xn::ModulePlayer", "classxn_1_1_module_player.html", null ],
      [ "xn::ModulePoseDetectionInteface", "classxn_1_1_module_pose_detection_inteface.html", null ],
      [ "xn::ModuleProductionNode", "classxn_1_1_module_production_node.html", null ],
      [ "xn::ModuleRecorder", "classxn_1_1_module_recorder.html", null ],
      [ "xn::ModuleSceneAnalyzer", "classxn_1_1_module_scene_analyzer.html", null ],
      [ "xn::ModuleScriptNode", "classxn_1_1_module_script_node.html", null ],
      [ "xn::ModuleSkeletonInterface", "classxn_1_1_module_skeleton_interface.html", null ],
      [ "xn::ModuleUserGenerator", "classxn_1_1_module_user_generator.html", null ],
      [ "xn::ModuleUserPositionInterface", "classxn_1_1_module_user_position_interface.html", null ],
      [ "xn::NodeInfo", "classxn_1_1_node_info.html", null ],
      [ "xn::NodeInfoList", "classxn_1_1_node_info_list.html", null ],
      [ "xn::NodeWrapper", "classxn_1_1_node_wrapper.html", null ],
      [ "xn::OutputMetaData", "classxn_1_1_output_meta_data.html", null ],
      [ "xn::Player", "classxn_1_1_player.html", null ],
      [ "xn::PoseDetectionCapability", "classxn_1_1_pose_detection_capability.html", null ],
      [ "xn::ProductionNode", "classxn_1_1_production_node.html", null ],
      [ "xn::Query", "classxn_1_1_query.html", null ],
      [ "xn::Recorder", "classxn_1_1_recorder.html", null ],
      [ "xn::Resolution", "classxn_1_1_resolution.html", null ],
      [ "xn::SceneAnalyzer", "classxn_1_1_scene_analyzer.html", null ],
      [ "xn::SceneMetaData", "classxn_1_1_scene_meta_data.html", null ],
      [ "xn::ScriptNode", "classxn_1_1_script_node.html", null ],
      [ "xn::SkeletonCapability", "classxn_1_1_skeleton_capability.html", null ],
      [ "xn::StateChangedCallbackTranslator", "classxn_1_1_state_changed_callback_translator.html", null ],
      [ "xn::UserGenerator", "classxn_1_1_user_generator.html", null ],
      [ "xn::UserPositionCapability", "classxn_1_1_user_position_capability.html", null ],
      [ "xn::Version", "classxn_1_1_version.html", null ],
      [ "XnAlgorithms", "class_xn_algorithms.html", null ],
      [ "XnArray< T >", "class_xn_array.html", null ],
      [ "XnAudioMetaData", "struct_xn_audio_meta_data.html", null ],
      [ "XnAutoCSLocker", "class_xn_auto_c_s_locker.html", null ],
      [ "XnAutoMutexLocker", "class_xn_auto_mutex_locker.html", null ],
      [ "XnBaseNode", "struct_xn_base_node.html", null ],
      [ "XnBitSet", "class_xn_bit_set.html", null ],
      [ "XnBoundingBox3D", "struct_xn_bounding_box3_d.html", null ],
      [ "XnCallback", "struct_xn_callback.html", null ],
      [ "XnCallbackT< FuncPtr >", "struct_xn_callback_t.html", null ],
      [ "XnCropping", "struct_xn_cropping.html", null ],
      [ "XnCyclicQueueT< T, TDefaultMaxDepth, TAlloc >", "class_xn_cyclic_queue_t.html", null ],
      [ "XnCyclicStackT< T, TDefaultMaxDepth, TAlloc >", "class_xn_cyclic_stack_t.html", null ],
      [ "XnDefaultKeyManagerT< TKey >", "class_xn_default_key_manager_t.html", null ],
      [ "XnDepthMetaData", "struct_xn_depth_meta_data.html", null ],
      [ "XnDumpWriter", "struct_xn_dump_writer.html", null ],
      [ "XnDumpWriterFileHandle", "struct_xn_dump_writer_file_handle.html", null ],
      [ "XnErrorCodeData", "struct_xn_error_code_data.html", null ],
      [ "XnEvent", "class_xn_event.html", null ],
      [ "XnEvent1Arg< TArg1 >", "class_xn_event1_arg.html", null ],
      [ "XnEvent2Args< TArg1, TArg2 >", "class_xn_event2_args.html", null ],
      [ "XnEvent3Args< TArg1, TArg2, TArg3 >", "class_xn_event3_args.html", null ],
      [ "XnEvent4Args< TArg1, TArg2, TArg3, TArg4 >", "class_xn_event4_args.html", null ],
      [ "XnEvent5Args< TArg1, TArg2, TArg3, TArg4, TArg5 >", "class_xn_event5_args.html", null ],
      [ "XnEventInterface", "class_xn_event_interface.html", null ],
      [ "XnEventInterfaceT< FuncPtr >", "class_xn_event_interface_t.html", null ],
      [ "XnEventNoArgs", "class_xn_event_no_args.html", null ],
      [ "XnEventT< TEventArgs >", "class_xn_event_t.html", null ],
      [ "XnFieldOfView", "struct_xn_field_of_view.html", null ],
      [ "XnGeneralBuffer", "struct_xn_general_buffer.html", null ],
      [ "XnHandlerFunc1Arg< TArg1 >", "struct_xn_handler_func1_arg.html", null ],
      [ "XnHandlerFunc2Args< TArg1, TArg2 >", "struct_xn_handler_func2_args.html", null ],
      [ "XnHandlerFunc3Args< TArg1, TArg2, TArg3 >", "struct_xn_handler_func3_args.html", null ],
      [ "XnHandlerFunc4Args< TArg1, TArg2, TArg3, TArg4 >", "struct_xn_handler_func4_args.html", null ],
      [ "XnHandlerFunc5Args< TArg1, TArg2, TArg3, TArg4, TArg5 >", "struct_xn_handler_func5_args.html", null ],
      [ "XnHandlerFuncNoArgs", "struct_xn_handler_func_no_args.html", null ],
      [ "XnHash", "class_xn_hash.html", null ],
      [ "XnHashT< TKey, TValue, TKeyManager, TAlloc >", "class_xn_hash_t.html", null ],
      [ "XnImageMetaData", "struct_xn_image_meta_data.html", null ],
      [ "XnIRMetaData", "struct_xn_i_r_meta_data.html", null ],
      [ "XnKeyValuePair< _TKey, _TValue >", "struct_xn_key_value_pair.html", null ],
      [ "XnLicense", "struct_xn_license.html", null ],
      [ "XnLinkedNodeDefaultAllocatorT< T >", "class_xn_linked_node_default_allocator_t.html", null ],
      [ "XnLinkedNodeT< T >", "struct_xn_linked_node_t.html", null ],
      [ "XnList", "class_xn_list.html", null ],
      [ "XnListT< T, TAlloc >", "class_xn_list_t.html", null ],
      [ "XnLogEntry", "struct_xn_log_entry.html", null ],
      [ "XnLogger", "struct_xn_logger.html", null ],
      [ "XnLogWriter", "struct_xn_log_writer.html", null ],
      [ "XnLogWriterBase", "class_xn_log_writer_base.html", null ],
      [ "XnMapMetaData", "struct_xn_map_meta_data.html", null ],
      [ "XnMapOutputMode", "struct_xn_map_output_mode.html", null ],
      [ "XnMatrix3X3", "struct_xn_matrix3_x3.html", null ],
      [ "XnModuleAlternativeViewPointInterface", "struct_xn_module_alternative_view_point_interface.html", null ],
      [ "XnModuleAntiFlickerInterface", "struct_xn_module_anti_flicker_interface.html", null ],
      [ "XnModuleAudioGeneratorInterface", "struct_xn_module_audio_generator_interface.html", null ],
      [ "XnModuleCodecInterface", "struct_xn_module_codec_interface.html", null ],
      [ "XnModuleCroppingInterface", "struct_xn_module_cropping_interface.html", null ],
      [ "XnModuleDepthGeneratorInterface", "struct_xn_module_depth_generator_interface.html", null ],
      [ "XnModuleDeviceIdentificationInterface", "struct_xn_module_device_identification_interface.html", null ],
      [ "XnModuleDeviceInterface", "struct_xn_module_device_interface.html", null ],
      [ "XnModuleErrorStateInterface", "struct_xn_module_error_state_interface.html", null ],
      [ "XnModuleExportedProductionNodeInterface", "struct_xn_module_exported_production_node_interface.html", null ],
      [ "XnModuleExtendedSerializationInterface", "struct_xn_module_extended_serialization_interface.html", null ],
      [ "XnModuleFrameSyncInterface", "struct_xn_module_frame_sync_interface.html", null ],
      [ "XnModuleGeneralIntInterface", "struct_xn_module_general_int_interface.html", null ],
      [ "XnModuleGeneratorInterface", "struct_xn_module_generator_interface.html", null ],
      [ "XnModuleGestureGeneratorInterface", "struct_xn_module_gesture_generator_interface.html", null ],
      [ "XnModuleHandsGeneratorInterface", "struct_xn_module_hands_generator_interface.html", null ],
      [ "XnModuleHandTouchingFOVEdgeCapabilityInterface", "struct_xn_module_hand_touching_f_o_v_edge_capability_interface.html", null ],
      [ "XnModuleImageGeneratorInterface", "struct_xn_module_image_generator_interface.html", null ],
      [ "XnModuleIRGeneratorInterface", "struct_xn_module_i_r_generator_interface.html", null ],
      [ "XnModuleLockAwareInterface", "struct_xn_module_lock_aware_interface.html", null ],
      [ "XnModuleMapGeneratorInterface", "struct_xn_module_map_generator_interface.html", null ],
      [ "XnModuleMirrorInterface", "struct_xn_module_mirror_interface.html", null ],
      [ "XnModulePlayerInterface", "struct_xn_module_player_interface.html", null ],
      [ "XnModulePoseDetectionCapabilityInterface", "struct_xn_module_pose_detection_capability_interface.html", null ],
      [ "XnModuleProductionNodeInterface", "struct_xn_module_production_node_interface.html", null ],
      [ "XnModuleRecorderInterface", "struct_xn_module_recorder_interface.html", null ],
      [ "XnModuleSceneAnalyzerInterface", "struct_xn_module_scene_analyzer_interface.html", null ],
      [ "XnModuleScriptNodeInterface", "struct_xn_module_script_node_interface.html", null ],
      [ "XnModuleSkeletonCapabilityInterface", "struct_xn_module_skeleton_capability_interface.html", null ],
      [ "XnModuleUserGeneratorInterface", "struct_xn_module_user_generator_interface.html", null ],
      [ "XnModuleUserPositionCapabilityInterface", "struct_xn_module_user_position_capability_interface.html", null ],
      [ "XnNode", "class_xn_node.html", null ],
      [ "XnNodeAllocator", "class_xn_node_allocator.html", null ],
      [ "XnNodeInfoListIterator", "struct_xn_node_info_list_iterator.html", null ],
      [ "XnNodeNotifications", "struct_xn_node_notifications.html", null ],
      [ "XnOpenNIModuleInterface", "struct_xn_open_n_i_module_interface.html", null ],
      [ "XnOSEvent", "class_xn_o_s_event.html", null ],
      [ "xnOSInfo", "structxn_o_s_info.html", null ],
      [ "XnOutputMetaData", "struct_xn_output_meta_data.html", null ],
      [ "XnPlane3D", "struct_xn_plane3_d.html", null ],
      [ "XnPlayerInputStreamInterface", "struct_xn_player_input_stream_interface.html", null ],
      [ "XnProductionNodeDescription", "struct_xn_production_node_description.html", null ],
      [ "XnQueue", "class_xn_queue.html", null ],
      [ "XnQueueT< T, TAlloc >", "class_xn_queue_t.html", null ],
      [ "XnRecorderOutputStreamInterface", "struct_xn_recorder_output_stream_interface.html", null ],
      [ "XnRGB24Pixel", "struct_xn_r_g_b24_pixel.html", null ],
      [ "XnSceneMetaData", "struct_xn_scene_meta_data.html", null ],
      [ "XnSkeletonJointOrientation", "struct_xn_skeleton_joint_orientation.html", null ],
      [ "XnSkeletonJointPosition", "struct_xn_skeleton_joint_position.html", null ],
      [ "XnSkeletonJointTransformation", "struct_xn_skeleton_joint_transformation.html", null ],
      [ "XnStack", "class_xn_stack.html", null ],
      [ "XnStackT< T, TAlloc >", "class_xn_stack_t.html", null ],
      [ "XnStringsHashKeyManager", "class_xn_strings_hash_key_manager.html", null ],
      [ "XnStringsHashT< TValue >", "class_xn_strings_hash_t.html", null ],
      [ "XnStringsKeyManager", "class_xn_strings_key_manager.html", null ],
      [ "XnStringsKeyTranslator", "class_xn_strings_key_translator.html", null ],
      [ "XnStringsNodeAllocator< TValue >", "class_xn_strings_node_allocator.html", null ],
      [ "XnStringsSet", "class_xn_strings_set.html", null ],
      [ "XnSupportedPixelFormats", "struct_xn_supported_pixel_formats.html", null ],
      [ "XnThreadSafeQueue", "class_xn_thread_safe_queue.html", null ],
      [ "XnUInt32XYPair", "struct_xn_u_int32_x_y_pair.html", null ],
      [ "XnUSBConfigDescriptorHolder", "struct_xn_u_s_b_config_descriptor_holder.html", null ],
      [ "XnUSBDeviceDescriptorHolder", "struct_xn_u_s_b_device_descriptor_holder.html", null ],
      [ "XnUSBEventArgs", "struct_xn_u_s_b_event_args.html", null ],
      [ "XnUSBInterfaceDescriptorHolder", "struct_xn_u_s_b_interface_descriptor_holder.html", null ],
      [ "XnUSBStringDescriptor", "struct_xn_u_s_b_string_descriptor.html", null ],
      [ "XnVector3D", "struct_xn_vector3_d.html", null ],
      [ "XnVersion", "struct_xn_version.html", null ],
      [ "XnWaveOutputMode", "struct_xn_wave_output_mode.html", null ],
      [ "XnYUV422DoublePixel", "struct_xn_y_u_v422_double_pixel.html", null ]
    ] ],
    [ "Class Index", "classes.html", null ],
    [ "Class Hierarchy", "hierarchy.html", [
      [ "XnHash::ConstIterator", "class_xn_hash_1_1_const_iterator.html", [
        [ "XnHash::Iterator", "class_xn_hash_1_1_iterator.html", null ]
      ] ],
      [ "XnHashT< TKey, TValue, TKeyManager, TAlloc >::ConstIterator", "class_xn_hash_t_1_1_const_iterator.html", [
        [ "XnHashT< TKey, TValue, TKeyManager, TAlloc >::Iterator", "class_xn_hash_t_1_1_iterator.html", null ]
      ] ],
      [ "XnList::ConstIterator", "class_xn_list_1_1_const_iterator.html", [
        [ "XnList::Iterator", "class_xn_list_1_1_iterator.html", null ]
      ] ],
      [ "XnListT< T, TAlloc >::ConstIterator", "class_xn_list_t_1_1_const_iterator.html", [
        [ "XnListT< T, TAlloc >::Iterator", "class_xn_list_t_1_1_iterator.html", null ]
      ] ],
      [ "xn::Context", "classxn_1_1_context.html", null ],
      [ "xn::EnumerationErrors", "classxn_1_1_enumeration_errors.html", null ],
      [ "INiNodeAllocator", "class_i_ni_node_allocator.html", [
        [ "XnNodeAllocator", "class_xn_node_allocator.html", null ]
      ] ],
      [ "xn::EnumerationErrors::Iterator", "classxn_1_1_enumeration_errors_1_1_iterator.html", null ],
      [ "xn::NodeInfoList::Iterator", "classxn_1_1_node_info_list_1_1_iterator.html", null ],
      [ "xn::Map< _pixelType >", "classxn_1_1_map.html", null ],
      [ "xn::Module", "classxn_1_1_module.html", [
        [ "xn::ExtensionModule", "classxn_1_1_extension_module.html", null ]
      ] ],
      [ "xn::ModuleAlternativeViewPointInterface", "classxn_1_1_module_alternative_view_point_interface.html", null ],
      [ "xn::ModuleAntiFlickerInterface", "classxn_1_1_module_anti_flicker_interface.html", null ],
      [ "xn::ModuleCroppingInterface", "classxn_1_1_module_cropping_interface.html", null ],
      [ "xn::ModuleDeviceIdentificationInterface", "classxn_1_1_module_device_identification_interface.html", null ],
      [ "xn::ModuleErrorStateInterface", "classxn_1_1_module_error_state_interface.html", null ],
      [ "xn::ModuleExportedProductionNode", "classxn_1_1_module_exported_production_node.html", null ],
      [ "xn::ModuleExtendedSerializationInterface", "classxn_1_1_module_extended_serialization_interface.html", null ],
      [ "xn::ModuleFrameSyncInterface", "classxn_1_1_module_frame_sync_interface.html", null ],
      [ "xn::ModuleGeneralIntInterface", "classxn_1_1_module_general_int_interface.html", null ],
      [ "xn::ModuleHandTouchingFOVEdgeInterface", "classxn_1_1_module_hand_touching_f_o_v_edge_interface.html", null ],
      [ "xn::ModuleLockAwareInterface", "classxn_1_1_module_lock_aware_interface.html", null ],
      [ "xn::ModuleMirrorInterface", "classxn_1_1_module_mirror_interface.html", null ],
      [ "xn::ModuleNodeNotifications", "classxn_1_1_module_node_notifications.html", [
        [ "xn::ModuleRecorder", "classxn_1_1_module_recorder.html", null ]
      ] ],
      [ "xn::ModulePoseDetectionInteface", "classxn_1_1_module_pose_detection_inteface.html", null ],
      [ "xn::ModuleProductionNode", "classxn_1_1_module_production_node.html", [
        [ "xn::ModuleCodec", "classxn_1_1_module_codec.html", null ],
        [ "xn::ModuleDevice", "classxn_1_1_module_device.html", null ],
        [ "xn::ModuleGenerator", "classxn_1_1_module_generator.html", [
          [ "xn::ModuleAudioGenerator", "classxn_1_1_module_audio_generator.html", null ],
          [ "xn::ModuleGestureGenerator", "classxn_1_1_module_gesture_generator.html", null ],
          [ "xn::ModuleHandsGenerator", "classxn_1_1_module_hands_generator.html", null ],
          [ "xn::ModuleMapGenerator", "classxn_1_1_module_map_generator.html", [
            [ "xn::ModuleDepthGenerator", "classxn_1_1_module_depth_generator.html", null ],
            [ "xn::ModuleImageGenerator", "classxn_1_1_module_image_generator.html", null ],
            [ "xn::ModuleIRGenerator", "classxn_1_1_module_i_r_generator.html", null ],
            [ "xn::ModuleSceneAnalyzer", "classxn_1_1_module_scene_analyzer.html", null ]
          ] ],
          [ "xn::ModuleUserGenerator", "classxn_1_1_module_user_generator.html", null ]
        ] ],
        [ "xn::ModulePlayer", "classxn_1_1_module_player.html", null ],
        [ "xn::ModuleRecorder", "classxn_1_1_module_recorder.html", null ],
        [ "xn::ModuleScriptNode", "classxn_1_1_module_script_node.html", null ]
      ] ],
      [ "xn::ModuleSkeletonInterface", "classxn_1_1_module_skeleton_interface.html", null ],
      [ "xn::ModuleUserPositionInterface", "classxn_1_1_module_user_position_interface.html", null ],
      [ "xn::NodeInfo", "classxn_1_1_node_info.html", null ],
      [ "xn::NodeInfoList", "classxn_1_1_node_info_list.html", null ],
      [ "xn::NodeWrapper", "classxn_1_1_node_wrapper.html", [
        [ "xn::Capability", "classxn_1_1_capability.html", [
          [ "xn::AlternativeViewPointCapability", "classxn_1_1_alternative_view_point_capability.html", null ],
          [ "xn::AntiFlickerCapability", "classxn_1_1_anti_flicker_capability.html", null ],
          [ "xn::CroppingCapability", "classxn_1_1_cropping_capability.html", null ],
          [ "xn::DeviceIdentificationCapability", "classxn_1_1_device_identification_capability.html", null ],
          [ "xn::ErrorStateCapability", "classxn_1_1_error_state_capability.html", null ],
          [ "xn::FrameSyncCapability", "classxn_1_1_frame_sync_capability.html", null ],
          [ "xn::GeneralIntCapability", "classxn_1_1_general_int_capability.html", null ],
          [ "xn::HandTouchingFOVEdgeCapability", "classxn_1_1_hand_touching_f_o_v_edge_capability.html", null ],
          [ "xn::MirrorCapability", "classxn_1_1_mirror_capability.html", null ],
          [ "xn::PoseDetectionCapability", "classxn_1_1_pose_detection_capability.html", null ],
          [ "xn::SkeletonCapability", "classxn_1_1_skeleton_capability.html", null ],
          [ "xn::UserPositionCapability", "classxn_1_1_user_position_capability.html", null ]
        ] ],
        [ "xn::ProductionNode", "classxn_1_1_production_node.html", [
          [ "xn::Codec", "classxn_1_1_codec.html", null ],
          [ "xn::Device", "classxn_1_1_device.html", null ],
          [ "xn::Generator", "classxn_1_1_generator.html", [
            [ "xn::AudioGenerator", "classxn_1_1_audio_generator.html", [
              [ "xn::MockAudioGenerator", "classxn_1_1_mock_audio_generator.html", null ]
            ] ],
            [ "xn::GestureGenerator", "classxn_1_1_gesture_generator.html", null ],
            [ "xn::HandsGenerator", "classxn_1_1_hands_generator.html", null ],
            [ "xn::MapGenerator", "classxn_1_1_map_generator.html", [
              [ "xn::DepthGenerator", "classxn_1_1_depth_generator.html", [
                [ "xn::MockDepthGenerator", "classxn_1_1_mock_depth_generator.html", null ]
              ] ],
              [ "xn::ImageGenerator", "classxn_1_1_image_generator.html", [
                [ "xn::MockImageGenerator", "classxn_1_1_mock_image_generator.html", null ]
              ] ],
              [ "xn::IRGenerator", "classxn_1_1_i_r_generator.html", [
                [ "xn::MockIRGenerator", "classxn_1_1_mock_i_r_generator.html", null ]
              ] ],
              [ "xn::SceneAnalyzer", "classxn_1_1_scene_analyzer.html", null ]
            ] ],
            [ "xn::MockRawGenerator", "classxn_1_1_mock_raw_generator.html", null ],
            [ "xn::UserGenerator", "classxn_1_1_user_generator.html", null ]
          ] ],
          [ "xn::Player", "classxn_1_1_player.html", null ],
          [ "xn::Recorder", "classxn_1_1_recorder.html", null ],
          [ "xn::ScriptNode", "classxn_1_1_script_node.html", null ]
        ] ]
      ] ],
      [ "xn::OutputMetaData", "classxn_1_1_output_meta_data.html", [
        [ "xn::AudioMetaData", "classxn_1_1_audio_meta_data.html", null ],
        [ "xn::MapMetaData", "classxn_1_1_map_meta_data.html", [
          [ "xn::DepthMetaData", "classxn_1_1_depth_meta_data.html", null ],
          [ "xn::ImageMetaData", "classxn_1_1_image_meta_data.html", null ],
          [ "xn::IRMetaData", "classxn_1_1_i_r_meta_data.html", null ],
          [ "xn::SceneMetaData", "classxn_1_1_scene_meta_data.html", null ]
        ] ]
      ] ],
      [ "xn::Query", "classxn_1_1_query.html", null ],
      [ "xn::Resolution", "classxn_1_1_resolution.html", null ],
      [ "xn::StateChangedCallbackTranslator", "classxn_1_1_state_changed_callback_translator.html", null ],
      [ "xn::Version", "classxn_1_1_version.html", null ],
      [ "XnAlgorithms", "class_xn_algorithms.html", null ],
      [ "XnArray< T >", "class_xn_array.html", null ],
      [ "XnAudioMetaData", "struct_xn_audio_meta_data.html", null ],
      [ "XnAutoCSLocker", "class_xn_auto_c_s_locker.html", null ],
      [ "XnAutoMutexLocker", "class_xn_auto_mutex_locker.html", null ],
      [ "XnBaseNode", "struct_xn_base_node.html", [
        [ "XnNode", "class_xn_node.html", null ]
      ] ],
      [ "XnBitSet", "class_xn_bit_set.html", null ],
      [ "XnBoundingBox3D", "struct_xn_bounding_box3_d.html", null ],
      [ "XnCallback", "struct_xn_callback.html", null ],
      [ "XnCallbackT< FuncPtr >", "struct_xn_callback_t.html", null ],
      [ "XnCropping", "struct_xn_cropping.html", null ],
      [ "XnDefaultKeyManagerT< TKey >", "class_xn_default_key_manager_t.html", null ],
      [ "XnDepthMetaData", "struct_xn_depth_meta_data.html", null ],
      [ "XnDumpWriter", "struct_xn_dump_writer.html", null ],
      [ "XnDumpWriterFileHandle", "struct_xn_dump_writer_file_handle.html", null ],
      [ "XnErrorCodeData", "struct_xn_error_code_data.html", null ],
      [ "XnEventInterface", "class_xn_event_interface.html", [
        [ "XnEvent", "class_xn_event.html", null ]
      ] ],
      [ "XnEventInterfaceT< FuncPtr >", "class_xn_event_interface_t.html", null ],
      [ "XnEventInterfaceT< XnHandlerFunc1Arg< const TEventArgs & >::FuncPtr >", "class_xn_event_interface_t.html", [
        [ "XnEvent1Arg< const TEventArgs & >", "class_xn_event1_arg.html", [
          [ "XnEventT< TEventArgs >", "class_xn_event_t.html", null ]
        ] ]
      ] ],
      [ "XnEventInterfaceT< XnHandlerFunc1Arg< TArg1 >::FuncPtr >", "class_xn_event_interface_t.html", [
        [ "XnEvent1Arg< TArg1 >", "class_xn_event1_arg.html", null ]
      ] ],
      [ "XnEventInterfaceT< XnHandlerFunc2Args< TArg1, TArg2 >::FuncPtr >", "class_xn_event_interface_t.html", [
        [ "XnEvent2Args< TArg1, TArg2 >", "class_xn_event2_args.html", null ]
      ] ],
      [ "XnEventInterfaceT< XnHandlerFunc3Args< TArg1, TArg2, TArg3 >::FuncPtr >", "class_xn_event_interface_t.html", [
        [ "XnEvent3Args< TArg1, TArg2, TArg3 >", "class_xn_event3_args.html", null ]
      ] ],
      [ "XnEventInterfaceT< XnHandlerFunc4Args< TArg1, TArg2, TArg3, TArg4 >::FuncPtr >", "class_xn_event_interface_t.html", [
        [ "XnEvent4Args< TArg1, TArg2, TArg3, TArg4 >", "class_xn_event4_args.html", null ]
      ] ],
      [ "XnEventInterfaceT< XnHandlerFunc5Args< TArg1, TArg2, TArg3, TArg4, TArg5 >::FuncPtr >", "class_xn_event_interface_t.html", [
        [ "XnEvent5Args< TArg1, TArg2, TArg3, TArg4, TArg5 >", "class_xn_event5_args.html", null ]
      ] ],
      [ "XnEventInterfaceT< XnHandlerFuncNoArgs::FuncPtr >", "class_xn_event_interface_t.html", [
        [ "XnEventNoArgs", "class_xn_event_no_args.html", null ]
      ] ],
      [ "XnFieldOfView", "struct_xn_field_of_view.html", null ],
      [ "XnGeneralBuffer", "struct_xn_general_buffer.html", null ],
      [ "XnHandlerFunc1Arg< TArg1 >", "struct_xn_handler_func1_arg.html", null ],
      [ "XnHandlerFunc2Args< TArg1, TArg2 >", "struct_xn_handler_func2_args.html", null ],
      [ "XnHandlerFunc3Args< TArg1, TArg2, TArg3 >", "struct_xn_handler_func3_args.html", null ],
      [ "XnHandlerFunc4Args< TArg1, TArg2, TArg3, TArg4 >", "struct_xn_handler_func4_args.html", null ],
      [ "XnHandlerFunc5Args< TArg1, TArg2, TArg3, TArg4, TArg5 >", "struct_xn_handler_func5_args.html", null ],
      [ "XnHandlerFuncNoArgs", "struct_xn_handler_func_no_args.html", null ],
      [ "XnHash", "class_xn_hash.html", null ],
      [ "XnHashT< TKey, TValue, TKeyManager, TAlloc >", "class_xn_hash_t.html", null ],
      [ "XnHashT< const XnChar *, TValue, XnStringsHashKeyManager, XnStringsNodeAllocator< TValue > >", "class_xn_hash_t.html", [
        [ "XnStringsHashT< TValue >", "class_xn_strings_hash_t.html", null ]
      ] ],
      [ "XnHashT< const XnChar *, void *, XnStringsHashKeyManager, XnStringsNodeAllocator< void * > >", "class_xn_hash_t.html", [
        [ "XnStringsHashT< void * >", "class_xn_strings_hash_t.html", [
          [ "XnStringsSet", "class_xn_strings_set.html", null ]
        ] ]
      ] ],
      [ "XnImageMetaData", "struct_xn_image_meta_data.html", null ],
      [ "XnIRMetaData", "struct_xn_i_r_meta_data.html", null ],
      [ "XnKeyValuePair< _TKey, _TValue >", "struct_xn_key_value_pair.html", null ],
      [ "XnLicense", "struct_xn_license.html", null ],
      [ "XnLinkedNodeDefaultAllocatorT< T >", "class_xn_linked_node_default_allocator_t.html", null ],
      [ "XnLinkedNodeT< T >", "struct_xn_linked_node_t.html", null ],
      [ "XnLinkedNodeT< TCallback * >", "struct_xn_linked_node_t.html", null ],
      [ "XnLinkedNodeT< TPair >", "struct_xn_linked_node_t.html", null ],
      [ "XnList", "class_xn_list.html", null ],
      [ "XnListT< T, TAlloc >", "class_xn_list_t.html", [
        [ "XnQueueT< T, TAlloc >", "class_xn_queue_t.html", [
          [ "XnCyclicQueueT< T, TDefaultMaxDepth, TAlloc >", "class_xn_cyclic_queue_t.html", null ]
        ] ],
        [ "XnStackT< T, TAlloc >", "class_xn_stack_t.html", [
          [ "XnCyclicStackT< T, TDefaultMaxDepth, TAlloc >", "class_xn_cyclic_stack_t.html", null ]
        ] ]
      ] ],
      [ "XnListT< TCallback * >", "class_xn_list_t.html", null ],
      [ "XnListT< TPair, XnStringsNodeAllocator< TValue > >", "class_xn_list_t.html", null ],
      [ "XnListT< TPair, XnStringsNodeAllocator< void * > >", "class_xn_list_t.html", null ],
      [ "XnLogEntry", "struct_xn_log_entry.html", null ],
      [ "XnLogger", "struct_xn_logger.html", null ],
      [ "XnLogWriter", "struct_xn_log_writer.html", null ],
      [ "XnLogWriterBase", "class_xn_log_writer_base.html", null ],
      [ "XnMapMetaData", "struct_xn_map_meta_data.html", null ],
      [ "XnMapOutputMode", "struct_xn_map_output_mode.html", null ],
      [ "XnMatrix3X3", "struct_xn_matrix3_x3.html", null ],
      [ "XnModuleAlternativeViewPointInterface", "struct_xn_module_alternative_view_point_interface.html", null ],
      [ "XnModuleAntiFlickerInterface", "struct_xn_module_anti_flicker_interface.html", null ],
      [ "XnModuleAudioGeneratorInterface", "struct_xn_module_audio_generator_interface.html", null ],
      [ "XnModuleCodecInterface", "struct_xn_module_codec_interface.html", null ],
      [ "XnModuleCroppingInterface", "struct_xn_module_cropping_interface.html", null ],
      [ "XnModuleDepthGeneratorInterface", "struct_xn_module_depth_generator_interface.html", null ],
      [ "XnModuleDeviceIdentificationInterface", "struct_xn_module_device_identification_interface.html", null ],
      [ "XnModuleDeviceInterface", "struct_xn_module_device_interface.html", null ],
      [ "XnModuleErrorStateInterface", "struct_xn_module_error_state_interface.html", null ],
      [ "XnModuleExportedProductionNodeInterface", "struct_xn_module_exported_production_node_interface.html", null ],
      [ "XnModuleExtendedSerializationInterface", "struct_xn_module_extended_serialization_interface.html", null ],
      [ "XnModuleFrameSyncInterface", "struct_xn_module_frame_sync_interface.html", null ],
      [ "XnModuleGeneralIntInterface", "struct_xn_module_general_int_interface.html", null ],
      [ "XnModuleGeneratorInterface", "struct_xn_module_generator_interface.html", null ],
      [ "XnModuleGestureGeneratorInterface", "struct_xn_module_gesture_generator_interface.html", null ],
      [ "XnModuleHandsGeneratorInterface", "struct_xn_module_hands_generator_interface.html", null ],
      [ "XnModuleHandTouchingFOVEdgeCapabilityInterface", "struct_xn_module_hand_touching_f_o_v_edge_capability_interface.html", null ],
      [ "XnModuleImageGeneratorInterface", "struct_xn_module_image_generator_interface.html", null ],
      [ "XnModuleIRGeneratorInterface", "struct_xn_module_i_r_generator_interface.html", null ],
      [ "XnModuleLockAwareInterface", "struct_xn_module_lock_aware_interface.html", null ],
      [ "XnModuleMapGeneratorInterface", "struct_xn_module_map_generator_interface.html", null ],
      [ "XnModuleMirrorInterface", "struct_xn_module_mirror_interface.html", null ],
      [ "XnModulePlayerInterface", "struct_xn_module_player_interface.html", null ],
      [ "XnModulePoseDetectionCapabilityInterface", "struct_xn_module_pose_detection_capability_interface.html", null ],
      [ "XnModuleProductionNodeInterface", "struct_xn_module_production_node_interface.html", null ],
      [ "XnModuleRecorderInterface", "struct_xn_module_recorder_interface.html", null ],
      [ "XnModuleSceneAnalyzerInterface", "struct_xn_module_scene_analyzer_interface.html", null ],
      [ "XnModuleScriptNodeInterface", "struct_xn_module_script_node_interface.html", null ],
      [ "XnModuleSkeletonCapabilityInterface", "struct_xn_module_skeleton_capability_interface.html", null ],
      [ "XnModuleUserGeneratorInterface", "struct_xn_module_user_generator_interface.html", null ],
      [ "XnModuleUserPositionCapabilityInterface", "struct_xn_module_user_position_capability_interface.html", null ],
      [ "XnNodeInfoListIterator", "struct_xn_node_info_list_iterator.html", null ],
      [ "XnNodeNotifications", "struct_xn_node_notifications.html", null ],
      [ "XnOpenNIModuleInterface", "struct_xn_open_n_i_module_interface.html", null ],
      [ "XnOSEvent", "class_xn_o_s_event.html", null ],
      [ "xnOSInfo", "structxn_o_s_info.html", null ],
      [ "XnOutputMetaData", "struct_xn_output_meta_data.html", null ],
      [ "XnPlane3D", "struct_xn_plane3_d.html", null ],
      [ "XnPlayerInputStreamInterface", "struct_xn_player_input_stream_interface.html", null ],
      [ "XnProductionNodeDescription", "struct_xn_production_node_description.html", null ],
      [ "XnQueue", "class_xn_queue.html", [
        [ "XnThreadSafeQueue", "class_xn_thread_safe_queue.html", null ]
      ] ],
      [ "XnRecorderOutputStreamInterface", "struct_xn_recorder_output_stream_interface.html", null ],
      [ "XnRGB24Pixel", "struct_xn_r_g_b24_pixel.html", null ],
      [ "XnSceneMetaData", "struct_xn_scene_meta_data.html", null ],
      [ "XnSkeletonJointOrientation", "struct_xn_skeleton_joint_orientation.html", null ],
      [ "XnSkeletonJointPosition", "struct_xn_skeleton_joint_position.html", null ],
      [ "XnSkeletonJointTransformation", "struct_xn_skeleton_joint_transformation.html", null ],
      [ "XnStack", "class_xn_stack.html", null ],
      [ "XnStringsHashKeyManager", "class_xn_strings_hash_key_manager.html", null ],
      [ "XnStringsKeyManager", "class_xn_strings_key_manager.html", null ],
      [ "XnStringsKeyTranslator", "class_xn_strings_key_translator.html", null ],
      [ "XnStringsNodeAllocator< TValue >", "class_xn_strings_node_allocator.html", null ],
      [ "XnSupportedPixelFormats", "struct_xn_supported_pixel_formats.html", null ],
      [ "XnUInt32XYPair", "struct_xn_u_int32_x_y_pair.html", null ],
      [ "XnUSBConfigDescriptorHolder", "struct_xn_u_s_b_config_descriptor_holder.html", null ],
      [ "XnUSBDeviceDescriptorHolder", "struct_xn_u_s_b_device_descriptor_holder.html", null ],
      [ "XnUSBEventArgs", "struct_xn_u_s_b_event_args.html", null ],
      [ "XnUSBInterfaceDescriptorHolder", "struct_xn_u_s_b_interface_descriptor_holder.html", null ],
      [ "XnUSBStringDescriptor", "struct_xn_u_s_b_string_descriptor.html", null ],
      [ "XnVector3D", "struct_xn_vector3_d.html", null ],
      [ "XnVersion", "struct_xn_version.html", null ],
      [ "XnWaveOutputMode", "struct_xn_wave_output_mode.html", null ],
      [ "XnYUV422DoublePixel", "struct_xn_y_u_v422_double_pixel.html", null ]
    ] ],
    [ "Class Members", "functions.html", null ],
    [ "Namespace List", "namespaces.html", [
      [ "xn", "namespacexn.html", null ]
    ] ],
    [ "Namespace Members", "namespacemembers.html", null ],
    [ "File List", "files.html", [
      [ "IXnNodeAllocator.h", "_i_xn_node_allocator_8h.html", null ],
      [ "XnAlgorithms.h", "_xn_algorithms_8h.html", null ],
      [ "XnArray.h", "_xn_array_8h.html", null ],
      [ "XnBaseNode.h", "_xn_base_node_8h.html", null ],
      [ "XnBitSet.h", "_xn_bit_set_8h.html", null ],
      [ "XnCallback.h", "_xn_callback_8h.html", null ],
      [ "XnCodecIDs.h", "_xn_codec_i_ds_8h.html", null ],
      [ "XnContext.h", "_xn_context_8h.html", null ],
      [ "XnCppWrapper.h", "_xn_cpp_wrapper_8h.html", null ],
      [ "XnCyclicQueueT.h", "_xn_cyclic_queue_t_8h.html", null ],
      [ "XnCyclicStackT.h", "_xn_cyclic_stack_t_8h.html", null ],
      [ "XnDataTypes.h", "_xn_data_types_8h.html", null ],
      [ "XnDerivedCast.h", "_xn_derived_cast_8h.html", null ],
      [ "XnDump.h", "_xn_dump_8h.html", null ],
      [ "XnDumpWriters.h", "_xn_dump_writers_8h.html", null ],
      [ "XnEnumerationErrors.h", "_xn_enumeration_errors_8h.html", null ],
      [ "XnEvent.h", "_xn_event_8h.html", null ],
      [ "XnEventT.h", "_xn_event_t_8h.html", null ],
      [ "XnFPSCalculator.h", "_xn_f_p_s_calculator_8h.html", null ],
      [ "XnGeneralBuffer.h", "_xn_general_buffer_8h.html", null ],
      [ "XnHash.h", "_xn_hash_8h.html", null ],
      [ "XnHashT.h", "_xn_hash_t_8h.html", null ],
      [ "XnInternalDefs.h", "_xn_internal_defs_8h.html", null ],
      [ "XnLicensing.h", "_xn_licensing_8h.html", null ],
      [ "XnList.h", "_xn_list_8h.html", null ],
      [ "XnListT.h", "_xn_list_t_8h.html", null ],
      [ "XnLog.h", "_xn_log_8h.html", null ],
      [ "XnLogTypes.h", "_xn_log_types_8h.html", null ],
      [ "XnLogWriterBase.h", "_xn_log_writer_base_8h.html", null ],
      [ "XnMacros.h", "_xn_macros_8h.html", null ],
      [ "XnModuleCFunctions.h", "_xn_module_c_functions_8h.html", null ],
      [ "XnModuleCppInterface.h", "_xn_module_cpp_interface_8h.html", null ],
      [ "XnModuleCppRegistratration.h", "_xn_module_cpp_registratration_8h.html", null ],
      [ "XnModuleInterface.h", "_xn_module_interface_8h.html", null ],
      [ "XnNode.h", "_xn_node_8h.html", null ],
      [ "XnNodeAllocator.h", "_xn_node_allocator_8h.html", null ],
      [ "XnOpenNI.h", "_xn_open_n_i_8h.html", null ],
      [ "XnOS.h", "_xn_o_s_8h.html", null ],
      [ "XnOSCpp.h", "_xn_o_s_cpp_8h.html", null ],
      [ "XnOSMemory.h", "_xn_o_s_memory_8h.html", null ],
      [ "XnOSStrings.h", "_xn_o_s_strings_8h.html", null ],
      [ "XnPlatform.h", "_xn_platform_8h.html", null ],
      [ "XnPrdNode.h", "_xn_prd_node_8h.html", null ],
      [ "XnPrdNodeInfo.h", "_xn_prd_node_info_8h.html", null ],
      [ "XnPrdNodeInfoList.h", "_xn_prd_node_info_list_8h.html", null ],
      [ "XnProfiling.h", "_xn_profiling_8h.html", null ],
      [ "XnPropNames.h", "_xn_prop_names_8h.html", null ],
      [ "XnQueries.h", "_xn_queries_8h.html", null ],
      [ "XnQueue.h", "_xn_queue_8h.html", null ],
      [ "XnQueueT.h", "_xn_queue_t_8h.html", null ],
      [ "XnScheduler.h", "_xn_scheduler_8h.html", null ],
      [ "XnStack.h", "_xn_stack_8h.html", null ],
      [ "XnStackT.h", "_xn_stack_t_8h.html", null ],
      [ "XnStatus.h", "_xn_status_8h.html", null ],
      [ "XnStatusCodes.h", "_xn_status_codes_8h.html", null ],
      [ "XnStatusRegister.h", "_xn_status_register_8h.html", null ],
      [ "XnStringsHash.h", "_xn_strings_hash_8h.html", null ],
      [ "XnStringsHashT.h", "_xn_strings_hash_t_8h.html", null ],
      [ "XnThreadSafeQueue.h", "_xn_thread_safe_queue_8h.html", null ],
      [ "XnTypes.h", "_xn_types_8h.html", null ],
      [ "XnUSB.h", "_xn_u_s_b_8h.html", null ],
      [ "XnUSBDevice.h", "_xn_u_s_b_device_8h.html", null ],
      [ "XnUtils.h", "_xn_utils_8h.html", null ],
      [ "XnVersion.h", "_xn_version_8h.html", null ]
    ] ],
    [ "File Members", "globals.html", null ]
  ] ]
];

function createIndent(o,domNode,node,level)
{
  if (node.parentNode && node.parentNode.parentNode)
  {
    createIndent(o,domNode,node.parentNode,level+1);
  }
  var imgNode = document.createElement("img");
  if (level==0 && node.childrenData)
  {
    node.plus_img = imgNode;
    node.expandToggle = document.createElement("a");
    node.expandToggle.href = "javascript:void(0)";
    node.expandToggle.onclick = function() 
    {
      if (node.expanded) 
      {
        $(node.getChildrenUL()).slideUp("fast");
        if (node.isLast)
        {
          node.plus_img.src = node.relpath+"ftv2plastnode.png";
        }
        else
        {
          node.plus_img.src = node.relpath+"ftv2pnode.png";
        }
        node.expanded = false;
      } 
      else 
      {
        expandNode(o, node, false);
      }
    }
    node.expandToggle.appendChild(imgNode);
    domNode.appendChild(node.expandToggle);
  }
  else
  {
    domNode.appendChild(imgNode);
  }
  if (level==0)
  {
    if (node.isLast)
    {
      if (node.childrenData)
      {
        imgNode.src = node.relpath+"ftv2plastnode.png";
      }
      else
      {
        imgNode.src = node.relpath+"ftv2lastnode.png";
        domNode.appendChild(imgNode);
      }
    }
    else
    {
      if (node.childrenData)
      {
        imgNode.src = node.relpath+"ftv2pnode.png";
      }
      else
      {
        imgNode.src = node.relpath+"ftv2node.png";
        domNode.appendChild(imgNode);
      }
    }
  }
  else
  {
    if (node.isLast)
    {
      imgNode.src = node.relpath+"ftv2blank.png";
    }
    else
    {
      imgNode.src = node.relpath+"ftv2vertline.png";
    }
  }
  imgNode.border = "0";
}

function newNode(o, po, text, link, childrenData, lastNode)
{
  var node = new Object();
  node.children = Array();
  node.childrenData = childrenData;
  node.depth = po.depth + 1;
  node.relpath = po.relpath;
  node.isLast = lastNode;

  node.li = document.createElement("li");
  po.getChildrenUL().appendChild(node.li);
  node.parentNode = po;

  node.itemDiv = document.createElement("div");
  node.itemDiv.className = "item";

  node.labelSpan = document.createElement("span");
  node.labelSpan.className = "label";

  createIndent(o,node.itemDiv,node,0);
  node.itemDiv.appendChild(node.labelSpan);
  node.li.appendChild(node.itemDiv);

  var a = document.createElement("a");
  node.labelSpan.appendChild(a);
  node.label = document.createTextNode(text);
  a.appendChild(node.label);
  if (link) 
  {
    a.href = node.relpath+link;
  } 
  else 
  {
    if (childrenData != null) 
    {
      a.className = "nolink";
      a.href = "javascript:void(0)";
      a.onclick = node.expandToggle.onclick;
      node.expanded = false;
    }
  }

  node.childrenUL = null;
  node.getChildrenUL = function() 
  {
    if (!node.childrenUL) 
    {
      node.childrenUL = document.createElement("ul");
      node.childrenUL.className = "children_ul";
      node.childrenUL.style.display = "none";
      node.li.appendChild(node.childrenUL);
    }
    return node.childrenUL;
  };

  return node;
}

function showRoot()
{
  var headerHeight = $("#top").height();
  var footerHeight = $("#nav-path").height();
  var windowHeight = $(window).height() - headerHeight - footerHeight;
  navtree.scrollTo('#selected',0,{offset:-windowHeight/2});
}

function expandNode(o, node, imm)
{
  if (node.childrenData && !node.expanded) 
  {
    if (!node.childrenVisited) 
    {
      getNode(o, node);
    }
    if (imm)
    {
      $(node.getChildrenUL()).show();
    } 
    else 
    {
      $(node.getChildrenUL()).slideDown("fast",showRoot);
    }
    if (node.isLast)
    {
      node.plus_img.src = node.relpath+"ftv2mlastnode.png";
    }
    else
    {
      node.plus_img.src = node.relpath+"ftv2mnode.png";
    }
    node.expanded = true;
  }
}

function getNode(o, po)
{
  po.childrenVisited = true;
  var l = po.childrenData.length-1;
  for (var i in po.childrenData) 
  {
    var nodeData = po.childrenData[i];
    po.children[i] = newNode(o, po, nodeData[0], nodeData[1], nodeData[2],
        i==l);
  }
}

function findNavTreePage(url, data)
{
  var nodes = data;
  var result = null;
  for (var i in nodes) 
  {
    var d = nodes[i];
    if (d[1] == url) 
    {
      return new Array(i);
    }
    else if (d[2] != null) // array of children
    {
      result = findNavTreePage(url, d[2]);
      if (result != null) 
      {
        return (new Array(i).concat(result));
      }
    }
  }
  return null;
}

function initNavTree(toroot,relpath)
{
  var o = new Object();
  o.toroot = toroot;
  o.node = new Object();
  o.node.li = document.getElementById("nav-tree-contents");
  o.node.childrenData = NAVTREE;
  o.node.children = new Array();
  o.node.childrenUL = document.createElement("ul");
  o.node.getChildrenUL = function() { return o.node.childrenUL; };
  o.node.li.appendChild(o.node.childrenUL);
  o.node.depth = 0;
  o.node.relpath = relpath;

  getNode(o, o.node);

  o.breadcrumbs = findNavTreePage(toroot, NAVTREE);
  if (o.breadcrumbs == null)
  {
    o.breadcrumbs = findNavTreePage("index.html",NAVTREE);
  }
  if (o.breadcrumbs != null && o.breadcrumbs.length>0)
  {
    var p = o.node;
    for (var i in o.breadcrumbs) 
    {
      var j = o.breadcrumbs[i];
      p = p.children[j];
      expandNode(o,p,true);
    }
    p.itemDiv.className = p.itemDiv.className + " selected";
    p.itemDiv.id = "selected";
    $(window).load(showRoot);
  }
}

